Bug 181350 - science/minc2: error, given license is unknown
Summary: science/minc2: error, given license is unknown
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-17 11:20 UTC by John Marino
Modified: 2013-08-23 01:01 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-08-17 11:20:00 UTC
This port just add a license:

LICENSE=        AS-IS
LICENSE_NAME=   AS-IS

However, there is no such license defined in bsd.licenses.mk.

This ensures minc2 will never be made into a package in a bulk build:

"License AS-IS needs confirmation, but BATCH is defined"

Fix: 

Change the license or just remove it completely.
Or define it in bsd.licenses.mk
How-To-Repeat: Look at the logs after a bulk build that includes science/minc2
Comment 1 Edwin Groothuis freebsd_committer 2013-08-17 11:20:07 UTC
Maintainer of science/minc2,

Please note that PR ports/181350 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181350

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-08-17 11:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jason W. Bacon freebsd_committer 2013-08-18 16:20:56 UTC
The COPYING file in the dist looks like an abbreviated BSD license, so 
maybe we could just call it BSD?

Copyright 1993-2000 Peter Neelin and David MacDonald, McConnell Brain
Imaging Centre, Montreal Neurological Institute, McGill University.
Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies.  The
author and McGill University make no representations about the
suitability of this software for any purpose.  It is provided "as is"
without express or implied warranty.

On 8/17/13 5:20 AM, Edwin Groothuis wrote:
> Maintainer of science/minc2,
>
> Please note that PR ports/181350 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181350
>


-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   Jason W. Bacon
   jwbacon@tds.net

   Circumstances don't make a man:
   They reveal him.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 4 John Marino freebsd_committer 2013-08-20 09:23:44 UTC
State Changed
From-To: feedback->open

Maintainer has responded, recommends changing license to BSD
Comment 5 John Marino freebsd_committer 2013-08-23 00:47:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marino

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-08-23 00:55:25 UTC
Author: marino
Date: Thu Aug 22 23:55:13 2013
New Revision: 325245
URL: http://svnweb.freebsd.org/changeset/ports/325245

Log:
  science/minc2: Switch license to BSD
  
  The license was defined as "AS-IS" but this license has no definition in
  bsd.license*.mk.  As a result, this port would not build in bulk because
  there was no implied acceptance of the "AS-IS" license.  Upon
  re-examination, the maintainer believes it is close enough in spirit to
  BSD license to be classified as BSD.
  
     Copyright 1993-2000 Peter Neelin and David MacDonald, McConnell Brain
     Imaging Centre, Montreal Neurological Institute, McGill University.
     Permission to use, copy, modify, and distribute this software and its
     documentation for any purpose and without fee is hereby granted,
     provided that the above copyright notice appear in all copies. The
     author and McGill University make no representations about the
     suitability of this software for any purpose. It is provided "as is"
     without express or implied warranty.
  
  The PORTREVISION was bumped because when a license is specified, it
  modifies the pkg-plist.
  
  PR:		181350
  Approved by:	bapt/culot (mentors, implicit), jwbacon (maintainer)

Modified:
  head/science/minc2/Makefile

Modified: head/science/minc2/Makefile
==============================================================================
--- head/science/minc2/Makefile	Thu Aug 22 23:34:31 2013	(r325244)
+++ head/science/minc2/Makefile	Thu Aug 22 23:55:13 2013	(r325245)
@@ -12,16 +12,14 @@
 
 PORTNAME=	minc
 PORTVERSION=	2.2.00
+PORTREVISION=	1
 CATEGORIES=	science biology
 MASTER_SITES=	http://packages.bic.mni.mcgill.ca/tgz/
 
 MAINTAINER=	jwbacon@tds.net
 COMMENT=	Medical Imaging NetCDF
 
-LICENSE=	AS-IS
-LICENSE_NAME=	AS-IS
-LICENSE_FILE=	${WRKSRC}/COPYING
-LICENSE_PERMS=	dist-mirror pkg-mirror
+LICENSE=	BSD
 
 LIB_DEPENDS=	netcdf.4:${PORTSDIR}/science/netcdf \
 		hdf5:${PORTSDIR}/science/hdf5
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 John Marino freebsd_committer 2013-08-23 01:01:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!